注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

信息 灵感 创新

I? =Information,Inspiration,Innovation

 
 
 

日志

 
 
关于我

we are 5. Mathematics, Computation, Programming, Engineering, and Making fun of life.

网易考拉推荐

NX Create a Block  

2012-11-16 20:25:28|  分类: UG NX |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
// NX 8.0.0.25
using System;
using NXOpen;

public class NXJournal
{
  public static void Main(string[] args)
  {
    Session theSession = Session.GetSession();
    Part workPart = theSession.Parts.Work;
    Part displayPart = theSession.Parts.Display;
   
    NXOpen.Features.BlockFeatureBuilder blockFeatureBuilder1 = workPart.Features.CreateBlockFeatureBuilder(null);   
     blockFeatureBuilder1.BooleanOption.Type = NXOpen.GeometricUtilities.BooleanOperation.BooleanType.Create;
    blockFeatureBuilder1.Type = NXOpen.Features.BlockFeatureBuilder.Types.OriginAndEdgeLengths;   
    Point point1 = blockFeatureBuilder1.OriginPoint;   
    blockFeatureBuilder1.OriginPoint = point1;   
    Point3d originPoint1 = new Point3d(10.0, -10.0, 40.0);
    blockFeatureBuilder1.SetOriginAndLengths(originPoint1, "120", "150", "210");   
    blockFeatureBuilder1.SetBooleanOperationAndTarget(NXOpen.Features.Feature.BooleanType.Create, null); 
    NXOpen.Features.Feature feature1=blockFeatureBuilder1.CommitFeature();
    blockFeatureBuilder1.Destroy(); 
  }
}
then Alt+F8, run this, you will get a block.
  评论这张
 
阅读(523)| 评论(0)
推荐 转载

历史上的今天

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2016